Skip to main content
GET
/
v1
/
deals
/
cashback-offers
/
{id}
Get cashback offer by ID
curl --request GET \
  --url https://api.onsleek.ai/v1/deals/cashback-offers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "e8400e53-078f-4641-97e2-5c397401c0f0",
  "featured": true,
  "countries": [
    "CA",
    "US"
  ],
  "maximumFixedCommissionFee": 75,
  "description": "$75.00 cashback on all orders.",
  "category": "Electronics",
  "termsAndExclusions": "Excludes all Apple products",
  "cashbackPercentage": 0.14,
  "retailerId": "4f9df53d-16dc-4630-8603-8d14ec40fcfe",
  "url": "https://www.bestbuy.com",
  "name": "BestBuy",
  "hostname": "www.bestbuy.com",
  "updatedAt": "2023-10-01T12:00:00.000Z",
  "logo": "https://example.com/logo.png"
}

Documentation Index

Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for accessing the Sleek API.

Path Parameters

id
string
required

The ID of the cashback offer to fetch.

Response

200 - application/json

Cashback offer by id.

id
string
required

The ID of the retailer's cashback offer. Format: UUID RFC 4122

Example:

"e8400e53-078f-4641-97e2-5c397401c0f0"

Indicates if the retailer's cashback offer is featured by Sleek for an outstanding deal.

Example:

true

countries
string[]
required

The countries the retailer's cashback offer is available. Format: ISO 3166-1 alpha-2 code

Example:
["CA", "US"]
maximumFixedCommissionFee
number | null
required

The fixed cashback offered by the retailer. If null, the retailer offers a percentage.

Example:

75

description
string | null
required

The description of the fixed cashback offer.

Example:

"$75.00 cashback on all orders."

category
string | null
required

The category of the cashback offer.

Example:

"Electronics"

termsAndExclusions
string | null
required

The terms and exclusions of the cashback offer.

Example:

"Excludes all Apple products"

cashbackPercentage
number
required

The percentage of cashback the retailer offers. In decimal form.

Example:

0.14

retailerId
string
required

The ID of the retailer associated with the cashback offer. Format: UUID RFC 4122

Example:

"4f9df53d-16dc-4630-8603-8d14ec40fcfe"

url
string
required

The url of the retailer's website.

Example:

"https://www.bestbuy.com"

name
string
required

The name of the cashback offer's retailer.

Example:

"BestBuy"

hostname
string
required

The hostname of the retailer's website.

Example:

"www.bestbuy.com"

updatedAt
string
required

The date and time the cashback offer was last updated. Format: ISO 8601

Example:

"2023-10-01T12:00:00.000Z"

URL of the retailer's logo.

Example:

"https://example.com/logo.png"